# Name of project scanned.
project.name=Reporter Main Code

# NB. Relative filenames below are relative to this file's directory.

# Optional: Expected requirements labels. Default: traceability_labels.properties.
#expected.labels.filename=traceability_labels.properties

# Optional: Report filename. Default: ../../../target/traceability.html.
#report.filename=../../../target/traceability.html

# rootPackageName: Optionally all package names of code elements found starting with this
#                  packageName will have this prefix stripped (more accurately: replaced by "...").
#                  Leave empty if you don't want this.
#                  Aka. default super packageName. 
#                  Default: com.logica.
root.package.name=javarequirementstracer

# Comma separated list of packages to scan. Subpackages are also scanned.
include.package.names=javarequirementstracer

# Optional: Comma separated list of packages to exclude from scan. Subpackages are also excluded. 
# Overrules include.package.names. Default: no exclusions.
exclude.package.names=javarequirementstracer.exclude, javarequirementstracer.mojo

# Optional: Comma separated list of specific type names to be excluded from scan. 
# Use this for types that cannot be excluded through exclude.package.names
# nor through @SuppressTraceabilityWarnings.
# Usually concerns types in one of your packages that are not under your control
# (name space clash), eg. generated code.
exclude.type.names=javarequirementstracer.Dummy1, javarequirementstracer.Dummy1Impl,\
javarequirementstracer.Dummy1ImplExt, javarequirementstracer.Dummy2, javarequirementstracer.Dummy3,\
javarequirementstracer.Dummy3Sub, javarequirementstracer.Dummy3SubImpl, javarequirementstracer.Dummy4,\
javarequirementstracer.Dummy5, javarequirementstracer.Dummy6, javarequirementstracer.DummyExcl,\
javarequirementstracer.IDummyExcl


# Optionally include test code in scan. Default: false.
# All classes with a name like Test*, *TestCase, *Test and their inner classes are considered test code.  
#include.test.code=true
